# vulpes - XMPP Bot

vulpes is a modular XMPP bot written in C. There are basically
two parts of the bot. The vulpes core functionality and a set of
modules which can be used.

## Core Service

The core service of the bot will read the configuration
file `~/.config/vulpes.conf`.

```
[account]
xmppid=local_part@domain.tld
pwd=botspassword
muc=room@chat.domain.tld/BotName
db=test.db
admins=admin1@domain.tld;admin2@domain.tld
```

The bot will load the modules defined in the `[modules]` section.

```
[modules]
admin=modules/mod_admin.so
echo=modules/mod_echo.so
```

After connecting to the XMPP server, the bot will join the
operator muc which has been defined in `muc` and the MUCs stored
with autojoin within the bookmarks.

The bot has a housekeeper function, which will run every 5
minutes (300 seconds) and will call the time-based function for
modules every second.

Incoming chat and group chat messages will be forward to the
modules. Core is quite lazy and is not doing much.

## Modules

Coming soon

# Build the bot

The bot needs:

 * libstrophe 0.10.0
 * glib 2.58.3
 * libstrophe >= 0.10.0
 * libcurl >= 7.74.0
 * libxml-2.0 >= 2.9.10
 * sqlite3 >= 3.34.1

	./bootstrap.sh && ./configure && make

# More information

* Project: https://codeberg.org/buteo/vulpes
* Wiki: https://codeberg.org/buteo/vulpes/wiki
* Issues: https://codeberg.org/buteo/vulpes/issues
